import { SqlDatabaseSettings } from 'sqlite3orm';
export interface Sqlite3AllSettings {
    name: string;
    /**
     * file - The database file to open
     */
    file: string;
    /**
     * [mode=SQL_OPEN_DEFAULT] - The mode for opening the database file
     * A bit flag combination of:
     *   SQL_OPEN_CREATE,
     *   SQL_OPEN_READONLY,
     *   SQL_OPEN_READWRITE
     * SQL_OPEN_DEFAULT = SQL_OPEN_CREATE | SQL_OPEN_READWRITE
     */
    mode: number;
    /**
     * [min=1] - Minimum connections which should be opened by the connection pool
     */
    poolMin: number;
    poolMax: number;
    debug: boolean;
    lazyConnect: boolean;
    schemaName: string;
    dbSettings: SqlDatabaseSettings;
    propertyValueForNULL?: null;
}
export declare type Sqlite3Settings = Partial<Sqlite3AllSettings>;
